Subject: Re: bug#55079: 28.1; kp-decimal not working in vhdl-stutter-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Apr 2022 16:21:42 -0400

[ Adding Reto to the Cc:  ]

> -      (cond ((= (preceding-char) vhdl-last-input-event)
> +      (cond ((or (and (integerp vhdl-last-input-event)
> +                      (= (preceding-char) vhdl-last-input-event))
> +                 (and (eq vhdl-last-input-event 'kp-decimal)
> +                      (equal (lookup-key local-function-key-map
> +                                         (vector vhdl-last-input-event))
> +                             [?.])
> +                      (= (preceding-char) ?.)))

It does sound pretty kludgey.
How 'bout just replacing `vhdl-last-input-event` with `?\.`, since the
function's name says that this is for period anyway (and the subsequent
`insert-char` inserts a `?\.` regardless of `vhdl-last-input-event`)?

        Stefan